demopath = get_absolute_file_path("train_demo.sce");
mode(-1);

loadmatfile(demopath+"data/iris.mat");
gscatter(meas(:,1), meas(:,2), species,'rgb','osd');
xlabel('Sepal length');
ylabel('Sepal width');
N = size(meas,1);


CC=train_sc(meas(:,1:2),grp2idx(species),'WienerHopf');
tt=test_sc(CC,meas(:,1:2),grp2idx(species));

bad = ~(tt.classlabel(:)==grp2idx(species));

ldaResubErr = sum(bad) / N

plot(meas(bad,1), meas(bad,2), 'kx');

[x,y] = meshgrid(4:.1:8,2:.1:4.5);
x = x(:);
y = y(:);
j = test_sc(CC,[x y]);
scf();
gscatter(x,y,j.classlabel,'grb','sod');
